Simple, lightweight, flexible pagination ReactJS component ⏮⏪1️⃣2️⃣3️⃣⏩⏭
davidnguyen179/create-react-progressive-web-app 59
Simple demo of progressive web app. This demo will display the news of technology from API provided by https://newsapi.org/
⚡️⚡️ Create next.js apps boilerplate.⚡️⚡️
ChoTotOSS/search-suggestion 11
🔍 Simple, lightweight, flexible search suggestion, autocomplete component 🔍
Practising coding with exercises from hackerrank, codeforce, leetcode, ...
davidnguyen179/awesome-design-systems 1
💅🏻 ⚒ A collection of awesome design systems
This blog link
startedcreme-ml/creme
started time in 8 hours
issue closedstorybookjs/storybook
Invariant failed: You should not use <Switch> outside a <Router>
Describe the bug
I am using storybook & react-router, but when I integrate them together, it throws exception.
Screenshots

Additional context
Version of packages I use
- react-router: 5.1.2
- react-router-dom: 5.1.2
- @storybook/react: 5.0.11
closed time in 2 days
davidnguyen179issue commentstorybookjs/storybook
Invariant failed: You should not use <Switch> outside a <Router>
Thanks I was able to make it work. So I wrapped around my component with MemoryRouter or BrowserRouter. But after I did that I was not able to navigate using react router (history.push(), or Link tag) in storybook. So I have to switch using MemoryRouter (that keeps the history of your “URL” in memory and it does not read or write to the address bar) to make my component can navigate using react-router
comment created time in 8 days
issue openedstorybookjs/storybook
Invariant failed: You should not use <Switch> outside a <Router>
Describe the bug
I am using storybook & react-router, but when I integrate them together, it throws exception.
Screenshots

Additional context
Version of packages I use
- react-router: 5.1.2
- react-router-dom: 5.1.2
- @storybook/react: 5.0.11
created time in 9 days
startedsindresorhus/execa
started time in 10 days
push eventdavidnguyen179/blog
commit sha 8b27af9a6323cc0251a9782d9980dd99398483c1
Add chrome & firefox users badge to develop-spotify-player-web-extension
push time in 13 days
PR closed vutoan266/react-images-uploading
Bumps node-fetch from 2.6.0 to 2.6.1. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/bitinn/node-fetch/releases">node-fetch's releases</a>.</em></p> <blockquote> <h2>v2.6.1</h2> <p><strong>This is an important security release. It is strongly recommended to update as soon as possible.</strong></p> <p>See <a href="https://github.com/node-fetch/node-fetch/blob/master/docs/CHANGELOG.md#v261">CHANGELOG</a> for details.</p> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/node-fetch/node-fetch/blob/master/docs/CHANGELOG.md">node-fetch's changelog</a>.</em></p> <blockquote> <h2>v2.6.1</h2> <p><strong>This is an important security release. It is strongly recommended to update as soon as possible.</strong></p> <ul> <li>Fix: honor the <code>size</code> option after following a redirect.</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/node-fetch/node-fetch/commit/b5e2e41b2b50bf2997720d6125accaf0dd68c0ab"><code>b5e2e41</code></a> update version number</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/2358a6c2563d1730a0cdaccc197c611949f6a334"><code>2358a6c</code></a> Honor the <code>size</code> option after following a redirect and revert data uri support</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/8c197f8982a238b3c345c64b17bfa92e16b4f7c4"><code>8c197f8</code></a> docs: Fix typos and grammatical errors in README.md (<a href="https://github-redirect.dependabot.com/bitinn/node-fetch/issues/686">#686</a>)</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/1e99050f944ac435fce26a9549eadcc2419a968a"><code>1e99050</code></a> fix: Change error message thrown with redirect mode set to error (<a href="https://github-redirect.dependabot.com/bitinn/node-fetch/issues/653">#653</a>)</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/244e6f63d42025465796e3ca4ce813bf2c31fc5b"><code>244e6f6</code></a> docs: Show backers in README</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/6a5d192034a0f438551dffb6d2d8df2c00921d16"><code>6a5d192</code></a> fix: Properly parse meta tag when parameters are reversed (<a href="https://github-redirect.dependabot.com/bitinn/node-fetch/issues/682">#682</a>)</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/47a24a03eb49a49d81b768892aee10074ed54a91"><code>47a24a0</code></a> chore: Add opencollective badge</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/7b136627c537cb24430b0310638c9177a85acee1"><code>7b13662</code></a> chore: Add funding link</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/5535c2ed478d418969ecfd60c16453462de2a53f"><code>5535c2e</code></a> fix: Check for global.fetch before binding it (<a href="https://github-redirect.dependabot.com/bitinn/node-fetch/issues/674">#674</a>)</li> <li><a href="https://github.com/node-fetch/node-fetch/commit/1d5778ad0d910dbd1584fb407a186f5a0bc1ea22"><code>1d5778a</code></a> docs: Add Discord badge</li> <li>Additional commits viewable in <a href="https://github.com/bitinn/node-fetch/compare/v2.6.0...v2.6.1">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~akepinski">akepinski</a>, a new releaser for node-fetch since your current version.</p> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language
You can disable automated security fix PRs for this repo from the Security Alerts page.
</details>
pr closed time in a month
pull request commentvutoan266/react-images-uploading
it failed unit test @conandk
comment created time in a month
issue commentvutoan266/react-images-uploading
Add tslint to validate code & command in package.json
- We can keep continue
- This syntax is a bit weird @vutoan266 , can you search the substitution?
- We actually don't need that
- We can keep
comment created time in a month
created tagdavidnguyen179/spotify-extension
Spotify mini player Chrome's extension 🎧 🎹 🎸 🎷 🎵 🎼 🎶🧩
created time in a month
push eventdavidnguyen179/spotify-extension
commit sha db9ee2ebbc5fe8886dd3ce29ce36fa7216316c5f
1.12
commit sha 34aa9067e0aa1c755b4a56107015a7c866d6cf2a
Merge pull request #57 from davidnguyen179/1.12 1.12
push time in a month
delete branch davidnguyen179/spotify-extension
delete branch : feature/add-github-action-workflow
delete time in a month
issue closeddavidnguyen179/spotify-extension
Ask for access to data for open.spotify.com only
Currently it asks for access to data for all websites. Huge privacy concern.
Access to data for open.spotify.com should be enough.
closed time in a month
yusfissue commentdavidnguyen179/spotify-extension
Ask for access to data for open.spotify.com only
This was solve in version 1.12. You can check detail here https://addons.mozilla.org/en-US/firefox/addon/spotify-player/versions/
comment created time in a month
push eventdavidnguyen179/spotify-extension
commit sha f9547f052b292002e7155cbff117a9dfeeaa4376
Change permission to spotify only & Remove icons dir & Remove shuffle, repeat APIs
commit sha 4b49841684fed777be1f8ab1880fdf94bf0d880d
Merge pull request #56 from davidnguyen179/change_permission_to_spotify_remove_icons_dir Change permission to spotify only & Remove icons dir & Remove shuffle, repeat APIs
push time in a month
delete branch davidnguyen179/spotify-extension
delete branch : change_permission_to_spotify_remove_icons_dir
delete time in a month
PR merged davidnguyen179/spotify-extension
pr closed time in a month
push eventdavidnguyen179/spotify-extension
commit sha f9547f052b292002e7155cbff117a9dfeeaa4376
Change permission to spotify only & Remove icons dir & Remove shuffle, repeat APIs
push time in a month
push eventdavidnguyen179/spotify-extension
commit sha 12885c8c6a3b58cc6cf2a5ea4186230122f6fb47
Change permission to spotify only & Remove icons dir & Remove shuffle, repeat APIs
push time in a month
issue commentdavidnguyen179/spotify-extension
Ask for access to data for open.spotify.com only
this issue will be fixed at this PR https://github.com/davidnguyen179/spotify-extension/pull/56
comment created time in a month
PR opened davidnguyen179/spotify-extension
…, repeat APIs
pr created time in a month
create barnchdavidnguyen179/spotify-extension
branch : change_permission_to_spotify_remove_icons_dir
created branch time in a month
push eventdavidnguyen179/spotify-extension
commit sha bd0ee3ab681b8462ecb2b9b96367a1ff80c679ec
Add support type for chrome & firefox
push time in a month
Pull request review commentvutoan266/react-images-uploading
import * as React from 'react'; import ImageUploading from '../src'; -export function App() {+export default function App() {
For the sake of intelligent feature. I recommend use export not export default
comment created time in a month
Pull request review commentvutoan266/react-images-uploading
+node_modules++coverage++.vscode++.githooks++.github++dist
how about build dir?
comment created time in a month
Pull request review commentvutoan266/react-images-uploading
"build": "tsc", "build:web": "webpack --config ./webpack/webpack.prod.js", "start": "node ./server",- "prettier": "prettier --write ./**/*.{js,ts,tsx,md}",+ "prettier": "./node_modules/.bin/prettier --write ./**/*.{js,ts,tsx,md}", "test": "./node_modules/.bin/jest",- "lint": "eslint . --ext .ts,.tsx",- "lint:fix": "eslint . --ext .ts,.tsx --fix",+ "lint": "./node_modules/.bin/eslint . --ext .ts,.tsx",+ "lint:fix": "./node_modules/.bin/eslint . --ext .ts,.tsx --fix",
Do we really need this, since we already had pretter?
comment created time in a month
push eventdavidnguyen179/spotify-extension
commit sha bbed55b430ee1c1c906355067452004546627553
Add Chrome & Firefox badges
push time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 274e37e4627f09b8a88e26f540efb7206f7aa404
Add Chrome & Firefox badges
push time in 2 months
push eventvutoan266/react-images-uploading
commit sha 3952a78ec06cc70a127123ec884955e10fe1157d
Add jest badge
push time in 2 months
push eventvutoan266/react-images-uploading
commit sha b455b63815feff1ff18e05885c0b68d7b6ae4ae9
Add unit test
commit sha 40cf6cd0c2eb7f047f4ff7dac16dedcd4bc88588
Update UI
commit sha c86dc067f6406b4f58e5ac7f131a4b93de9c650f
Add some test of validate functions
commit sha 97221a4ba8825a9ec66daff945bf6c729d109af9
Done test utils check validate
commit sha b16745403e67f6614f83b5cfd463abd55ce68dac
Resolve conflict pull master
commit sha c83137d5ad76b6daa725f0fd32bc4bea45a5b4be
Merge pull request #59 from vutoan266/add-unit-test Add unit test
push time in 2 months
delete branch vutoan266/react-images-uploading
delete branch : add-unit-test
delete time in 2 months
PR merged vutoan266/react-images-uploading
pr closed time in 2 months
issue commentvutoan266/react-images-uploading
it was fixed by this PR https://github.com/vutoan266/react-images-uploading/pull/64
comment created time in 2 months
pull request commentvutoan266/react-images-uploading
make acceptType check case insensitive
@all-contributors please add @masesisaac for code
comment created time in 2 months
startedistanbuljs/nyc
started time in 2 months
pull request commentvutoan266/react-images-uploading
make acceptType check case insensitive
looks good
comment created time in 2 months
push eventdavidnguyen179/blog
commit sha 6c71483df33f0eaad33ca35a573162b17dc66d84
Add Chrome Web Store result to Spotity article
push time in 2 months
startedimmint023/money-tracking-android
started time in 2 months
Pull request review commentvutoan266/react-images-uploading
make acceptType check case insensitive
export const isMaxFileSizeValid = (fileSize, maxFileSize) => { export const isAcceptTypeValid = (acceptType, fileName) => { if (acceptType && acceptType.length > 0) { const type: string = fileName.name.split('.').pop() || '';- if (acceptType.indexOf(type) < 0) {+ if (acceptType.findIndex(item => item.toLowerCase() === type.toLowerCase()) < 0) {
why don't you use "includes" method?
comment created time in 2 months
startedsatansdeer/minecraft-react
started time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 4dd6e235489410fd8009e2904c6806a24281a344
Config github prehooks improve style rename files prehooks Remove redundant code in test.sh
commit sha feb08ef251e43577dc1f7a6ff5b8987aafea05f1
Merge pull request #51 from immint023/feature/config-github-prehooks Add git hooks
push time in 2 months
PR merged davidnguyen179/spotify-extension
close #46
pr closed time in 2 months
issue closeddavidnguyen179/spotify-extension
Add pre-commit & pre-push in git hook
pre-commit
- run prettier
pre-push
- run unit test with coverage
npm test -- --coverage
use this package https://www.npmjs.com/package/git-hooks-plus
closed time in 2 months
davidnguyen179pull request commentdavidnguyen179/spotify-extension
looks good now!
comment created time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 44f874d69495afc0e2b51c047ef5145e313ffb75
Add jest test badge
push time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha aef3c4d1d828ec8fdd9da0aa483d55ad57fab5dd
Add jest test badge
push time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 6a20d4a7165196c35ed035d825f3720dc92e5b97
Add jest test badge
push time in 2 months
PR closed davidnguyen179/spotify-extension
Bumps elliptic from 6.5.2 to 6.5.3. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/indutny/elliptic/commit/8647803dc3d90506aa03021737f7b061ba959ae1"><code>8647803</code></a> 6.5.3</li> <li><a href="https://github.com/indutny/elliptic/commit/856fe4d99fe7b6200556e6400b3bf585b1721bec"><code>856fe4d</code></a> signature: prevent malleability and overflows</li> <li>See full diff in <a href="https://github.com/indutny/elliptic/compare/v6.5.2...v6.5.3">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language
You can disable automated security fix PRs for this repo from the Security Alerts page.
</details>
pr closed time in 2 months
pull request commentdavidnguyen179/spotify-extension
- Rename pre-commit.sh => prettier.sh
- Remove pre-push.sh and create new file call "test.sh"
test.sh
#!/bin/sh
npm test -- --coverage
simple like this
@immint023
comment created time in 2 months
pull request commentdavidnguyen179/spotify-extension
check this https://github.com/vutoan266/react-images-uploading/blob/master/.githooks/pre-commit/prettier.sh @immint023
comment created time in 2 months
issue closeddavidnguyen179/spotify-extension
Add license file & PR welcome badge
PR https://github.com/davidnguyen179/spotify-extension/pull/55
closed time in 2 months
davidnguyen179Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"++npm run prettier++CHANGED_FILES=$(git diff)++if [[ $? == 0 ]]; then+ if [[ "$CHANGED_FILES" ]]; then+ echo "There are some changed files. Please try again!"+ git status+ exit 1+ fi++ echo "Done prettier ✨✨"++else+ echo "\033[41mFailed prettier:\033[0m Fix errors and try again!"
sure
comment created time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 7e2ed1690556bf5bc8d381a08e87f5e13c32f94a
Add PR badge & License file & update package.json
commit sha 70c699fa92d14146834496ead502b14a0b3d35a2
Merge pull request #55 from davidnguyen179/add-license-and-badges Add PR badge & License file & update package.json
push time in 2 months
delete branch davidnguyen179/spotify-extension
delete branch : add-license-and-badges
delete time in 2 months
PR merged davidnguyen179/spotify-extension
pr closed time in 2 months
PR opened davidnguyen179/spotify-extension
pr created time in 2 months
create barnchdavidnguyen179/spotify-extension
branch : add-license-and-badges
created branch time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha 394d5c6b035512abe0161ebf06a3fb66157dc2b7
docs: update README.md [skip ci]
commit sha d0922711df14a698735123cd439ebbffa503e354
docs: update .all-contributorsrc [skip ci]
commit sha 65b867314c42255e99a16354a5204f927407a7d1
Merge pull request #53 from davidnguyen179/all-contributors/add-immint023 docs: add immint023 as a contributor
push time in 2 months
delete branch davidnguyen179/spotify-extension
delete branch : all-contributors/add-immint023
delete time in 2 months
PR merged davidnguyen179/spotify-extension
Adds @immint023 as a contributor for code, doc.
This was requested by davidnguyen179 in this comment
pr closed time in 2 months
pull request commentdavidnguyen179/spotify-extension
@all-contributors please add @immint023 for code, doc
comment created time in 2 months
push eventdavidnguyen179/spotify-extension
commit sha df499fbc2a61da2f7f26b4b9ae01939c197b4f4c
add prettier badge
commit sha 87f5a25dfa35127643ac50b113e5ea522963e676
Merge pull request #52 from immint023/feature/prettier-badge Add prettier badge
push time in 2 months
PR merged davidnguyen179/spotify-extension
close #48
pr closed time in 2 months
issue closeddavidnguyen179/spotify-extension
https://github.com/prettier/prettier#badge
closed time in 2 months
davidnguyen179Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"++npm run prettier++CHANGED_FILES=$(git diff)++if [[ $? == 0 ]]; then+ if [[ "$CHANGED_FILES" ]]; then+ echo "There are some changed files. Please try again!"+ git status+ exit 1+ fi++ echo "Done prettier ✨✨"++else+ echo "\033[41mFailed prettier:\033[0m Fix errors and try again!"
which case cause this error?
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"++npm run prettier++CHANGED_FILES=$(git diff)++if [[ $? == 0 ]]; then+ if [[ "$CHANGED_FILES" ]]; then
I believe this one is more correct
[ -z "$CHANGED_FILES" ] && exit 0
and this one should be below the check git diff stuff
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"++npm run prettier++CHANGED_FILES=$(git diff)
This one should start first before running any scripts. Consider this algorithm
if no changed files:
exit
then run prettier here
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"
echo "Running prettier 🚀🚀"
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-commit] Writing prettier 🚀🚀"++npm run prettier++CHANGED_FILES=$(git diff)
what if I change ".gitignore" file? this script still runs. Prettier is suppose to be run only for ".ts" ".tsx" ".js" ".jsx" "*.md" ".less"
How about this?
CHANGED_FILES =$(git diff --cached --name-only --diff-filter=ACMR "*.ts" "*.tsx" "*.js" "*.jsx" "*.md" | sed 's| |\\ |g')
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "[Pre-push] Running unit test 🚀🚀"++npm test -- --coverage++if [[ $? == 0 ]]; then+ echo "Done test ✨✨"+else+ echo "\033[41mFailed unit test:\033[0m Fix errors and try again!"
why did u use color here "\033[41m", but not in pre-commit.sh?
comment created time in 2 months
pull request commentdavidnguyen179/spotify-extension
next commit to improve pr, no need squash
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "Running test 🚀🚀"++npm run test -- --coverage++if [[ $? == 0 ]]; then+ printf "Jest passed ✨✨\n"
How about?
Done test\n
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "Running prettier 🚀🚀"++npm run prettier++if [[ $? == 0 ]]; then+ printf "✨✨Passed prettier\n"
How about?
Done prettier\n
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "Running test 🚀🚀"++npm run test -- --coverage++if [[ $? == 0 ]]; then+ printf "Jest passed ✨✨\n"+else+ printf "\n\033[41mTest Failed:\033[0m Fix errors and try again!\n"
How about?
Failed unit test
and why did you use color here but not in "prettier"?
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "Running prettier 🚀🚀"++npm run prettier++if [[ $? == 0 ]]; then+ printf "✨✨Passed prettier\n"+else+ printf "Prettier failed. Fix errors and try again!\n"
How about? and why did you use "printf" instead of "echo"?
Failed prettier
comment created time in 2 months
Pull request review commentdavidnguyen179/spotify-extension
+#!/bin/bash++echo "Running test 🚀🚀"++npm run test -- --coverage
How about this?
npm test -- --coverage
comment created time in 2 months
pull request commentdavidnguyen179/spotify-extension
can u squash 2 commits into 1?
comment created time in 2 months
issue commentdavidnguyen179/spotify-extension
Add pre-commit & pre-push in git hook
If you do the prettier for git book. Please refer this link https://prettier.io/docs/en/precommit.html#option-5-shell-script
@immint023
comment created time in 2 months
issue closeddavidnguyen179/spotify-extension
Replace travis CI with github action
- [ ] Remove .travis.yml
- [ ] Add github action
- [ ] Integrate codecov with github action
- [ ] Replace travis CI badge with github action badge
closed time in 2 months
davidnguyen179issue closedvutoan266/react-images-uploading
https://github.com/prettier/prettier#badge
closed time in 2 months
davidnguyen179issue commentvutoan266/react-images-uploading
PR https://github.com/vutoan266/react-images-uploading/pull/63
comment created time in 2 months